com.genesyslab.wfm8.API.service.config850

## Class CfgMealDetails

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config850.CfgMealDetails

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgMealDetails
      extends java.lang.Object
      implements java.io.Serializable

  Meal request details
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `infoType` Object details level (`ECfgInfoType`)
    `protected boolean` | `provideBUInfo` Specifies whether to provide BU information or not
    `protected boolean` | `provideShiftInfo` Specifies whether to provide shift-meal association and shift description information
    `protected boolean` | `provideSiteInfo` Specifies whether to provide Site information or not
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgMealDetails()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getInfoType()` Gets the value of the infoType property.
    `int` | `hashCode()`
    `boolean` | `isProvideBUInfo()` Gets the value of the provideBUInfo property.
    `boolean` | `isProvideShiftInfo()` Gets the value of the provideShiftInfo property.
    `boolean` | `isProvideSiteInfo()` Gets the value of the provideSiteInfo property.
    `void` | `setInfoType(int value)` Sets the value of the infoType property.
    `void` | `setProvideBUInfo(boolean value)` Sets the value of the provideBUInfo property.
    `void` | `setProvideShiftInfo(boolean value)` Sets the value of the provideShiftInfo property.
    `void` | `setProvideSiteInfo(boolean value)` Sets the value of the provideSiteInfo property.
    `java.lang.String` | `toString()`
    `CfgMealDetails` | `withInfoType(int value)`
    `CfgMealDetails` | `withProvideBUInfo(boolean value)`
    `CfgMealDetails` | `withProvideShiftInfo(boolean value)`
    `CfgMealDetails` | `withProvideSiteInfo(boolean value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### infoType

          protected int infoType

      Object details level (`ECfgInfoType`)

    - #### provideSiteInfo

          protected boolean provideSiteInfo

      Specifies whether to provide Site information or not

    - #### provideBUInfo

          protected boolean provideBUInfo

      Specifies whether to provide BU information or not

    - #### provideShiftInfo

          protected boolean provideShiftInfo

      Specifies whether to provide shift-meal association and shift description information

  - ### Constructor Detail

    - #### CfgMealDetails

          public CfgMealDetails()

  - ### Method Detail

    - #### getInfoType

          public int getInfoType()

      Gets the value of the infoType property.

    - #### setInfoType

          public void setInfoType(int value)

      Sets the value of the infoType property.

    - #### isProvideSiteInfo

          public boolean isProvideSiteInfo()

      Gets the value of the provideSiteInfo property.

    - #### setProvideSiteInfo

          public void setProvideSiteInfo(boolean value)

      Sets the value of the provideSiteInfo property.

    - #### isProvideBUInfo

          public boolean isProvideBUInfo()

      Gets the value of the provideBUInfo property.

    - #### setProvideBUInfo

          public void setProvideBUInfo(boolean value)

      Sets the value of the provideBUInfo property.

    - #### isProvideShiftInfo

          public boolean isProvideShiftInfo()

      Gets the value of the provideShiftInfo property.

    - #### setProvideShiftInfo

          public void setProvideShiftInfo(boolean value)

      Sets the value of the provideShiftInfo property.

    - #### withInfoType

          public CfgMealDetails withInfoType(int value)

    - #### withProvideSiteInfo

          public CfgMealDetails withProvideSiteInfo(boolean value)

    - #### withProvideBUInfo

          public CfgMealDetails withProvideBUInfo(boolean value)

    - #### withProvideShiftInfo

          public CfgMealDetails withProvideShiftInfo(boolean value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.